Subject: Re: sys_errlist
From: John Fralinger <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Nov 1999 14:25:36 -0500

Mumit,
   Thanks for your quick response.
   Your test code below does indeed work.

I am still confused about when to use an "_" and when not to.

I do not have any problems implementing Mr. Siddiqi's suggestion
but I would like to understand what's going on.

   Thanks again...

----- Original Message -----
From: Mumit Khan <[email-masked]>
To: John Fralinger <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, November 03, 1999 1:52 PM
Subject: Re: sys_errlist

> John Fralinger <[email-masked]> writes:
> > I get undefined reference to `sys_errlist` when compiling and linking
with
> > Cygwin 1.0 CD.  Same source and Makfiles have no problem on B20.1.
> >
> > What am I doing wrong?
> >
>
> Make sure you don't declare sys_errlist in your code, and instead include
> <errno.h> to get the extern declaration. This is a change since b20.1,
> which used a static version of sys_errlist, and in CD 1.0/dev snapshots,
> it's imported from the DLL.
>
> Try the following *untested* (I don't have 1.0 CD nor dev snapshots
> installed to test), and see if this works:
>
>   #include <errno.h>
>   #include <stdio.h>
>
>   int
>   main ()
>   {
>     int i;
>     for (i = 0; i < _sys_nerr; i++)
>       {
> printf ("%-3d: %s\n", i, _sys_errlist[i]);
>       }
>     return 0;
>   }
>
> Regards,
> Mumit
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]